.keypad {
  background-color: #444444;
  border: 2px solid #aaaaaa;
  border-radius: 8px;
  box-shadow: 0 0 21px 1px #000000 inset;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 32px auto;
  max-width: 236px;
  padding: 32px;
}

.keypad button {
  background-color: #edffef;
  border: 1px solid #398641;
  border-radius: 8px;
  color: #398641;
  cursor: pointer;
  font-size: 2rem;
  font-family: 'Courier New', Courier, monospace;
  font-weight: bold;
  margin: 2px;
  padding: 12px 24px;
}

.keypad span {
  background-color: #8b9c8d;
  border: 1px solid #398641;
  border-radius: 8px;
  color: #c5cec6;
  cursor: not-allowed;
  display: block;
  font-size: 2rem;
  font-family: 'Courier New', Courier, monospace;
  font-weight: bold;
  margin: 2px;
  padding: 12px 24px;
}

.keypad button:focus,
.keypad button:hover {
  background-color: #bce9c2;
  color: #398641;
}

.keypad button:disabled {
  background-color: #8b9c8d;
  color: #c5cec6;
  cursor: not-allowed;
}
